/**
 * Starte das Labyrinth.
 * 
 * @author Bernd Gramlich
 * @version 2012-01-03
 */
public class Start
{
    private Start ()
    {
    }
    
    /**
     * Starte das Labyrinthspiel.
     * 
     * @param argumente = {} Erzeugt eine quadratische 3D-Darstellung von 500 Bildpunkten Breite.
     * @param argumente = {"300"} Erzeugt eine quadratische 3D-Darstellung von 300 Bildpunkten Breite usw.
     */
    public static void main (String[] argumente)
    {
        int breite = 500;
        
        if (argumente.length > 0)
        {
            breite = Integer.decode (argumente[0]);
        }
        
        DickwandigesLabyrinth model     = new DickwandigesLabyrinth (7);
        SchlichterController controller = new SchlichterController (model);
        View3DmitDialogfenster view     = new View3DmitDialogfenster (model, controller, breite);
        
        controller.setzeView (view);
    }
}
